User Tools

Site Tools


installation:requirements

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
installation:requirements [2017/02/21 18:26]
Timbow simplification
installation:requirements [2017/10/02 22:06] (current)
Tyblitz [Absolutely Required Modules]
Line 12: Line 12:
  
 ===== Apache & PHP: Required Modules ===== ===== Apache & PHP: Required Modules =====
-==== Absolutely ​Required Modules ====+==== Required Modules ====
  
-  ​* [[http://​www.php.net/​manual/​en/​simplexml.installation.php|SimpleXML]] ​- This module ​is necessary as GetSimple relies on XML to store it's data.  +**[[http://​www.php.net/​manual/​en/​book.simplexml.php|SimpleXML]]** is used by GetSimpleCMS for efficient ​XML document manipulation.\\ 
-    * If you do not have this installed, you will not be able to use GetSimple.+The extension is enabled by default in most distrosTo be sure //for local development//,​ open a terminal and list all PHP modules by typing:
  
 +  php -m
 +  ​
 +//For remote servers//, upload a file phpinfo.php with the following contents:
 +
 +  <?php phpinfo(INFO_MODULES);​ ?>
 +  ​
 +..navigate to it in the browser, and search for SimpleXML.
 +If SimpleXML is not in the list, you need to [[http://​www.php.net/​manual/​en/​simplexml.installation.php|install it]].
 +\\
 ==== Important but not Absolutely Required Modules==== ==== Important but not Absolutely Required Modules====
  
installation/requirements.txt · Last modified: 2017/10/02 22:06 by Tyblitz